Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510564 - error while syncing openstack tenants : failed to save the new source_tenant
Summary: error while syncing openstack tenants : failed to save the new source_tenant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: All
OS: All
high
urgent
Target Milestone: GA
: 5.8.3
Assignee: Gregg Tanzillo
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On: 1496486 1511548
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 16:46 UTC by Satoe Imaishi
Modified: 2018-02-28 13:07 UTC (History)
7 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1496486
Environment:
Last Closed: 2018-02-28 13:07:52 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-07 18:16:19 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/bae45e43e3739dee9a53bbb5e9db4f83676154fb

commit bae45e43e3739dee9a53bbb5e9db4f83676154fb
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Fri Oct 20 11:32:18 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 7 13:09:00 2017 -0500

    Merge pull request #16144 from gtanzillo/cloud-tenant-orphaned-tenant
    
    Check for existing source tenant of cloud tenant before attempting to create a new one
    (cherry picked from commit 09a72ce0ad9c41cc605c697b0cfca14c784d149a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510564

 app/models/cloud_tenant.rb                           |  6 ++++++
 app/models/manageiq/providers/cloud_manager.rb       | 14 ++++++++------
 spec/models/manageiq/providers/cloud_manager_spec.rb | 20 ++++++++++++++++++++
 3 files changed, 34 insertions(+), 6 deletions(-)

Comment 4 Jadh 2018-01-31 14:24:42 UTC
Verified on 5.8.3.1 with RHOS 10
Verified on 5.8.3.2 with RHOS 12

Comment 7 errata-xmlrpc 2018-02-28 13:07:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.